POST /api/v1/private/{key}/burn

Path parameters

  • key string Required

    The key parameter

application/x-www-form-urlencoded

Body Required

  • continue string

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • state object Required
      Hide state attributes Show state attributes object
      • custid string Required
      • metadata_key string Required
      • secret_key string
      • state string Required

        Values are new, received, viewed, burned, expired, or orphaned.

      • created integer | null Required

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • updated integer | null Required

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • received integer

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • ttl integer | null Required

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • metadata_ttl integer | null Required

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • secret_ttl integer | null

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • metadata_url string | null
      • share_domain string Required
      • recipient array[string] Required
      • passphrase_required boolean
      • value string
      • identifier string Required

        v0.24 name for metadata_key. Prefer this field for new integrations.

      • secret_identifier string
      • has_passphrase boolean
      • recipients array[string] Required

        v0.24 name for recipient.

      • receipt_ttl integer | null Required

        Minimum value is -9007199254740991, maximum value is 9007199254740991.

      • receipt_url string | null
      • secret_value string
    • secret_shortkey string Required
  • 400 application/json

    Bad Request - Invalid request parameters or body

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 401 application/json

    Unauthorized - Authentication required

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 403 application/json

    Forbidden - Insufficient permissions

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 404 application/json

    Not Found - Resource does not exist

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 422 application/json

    Unprocessable Entity - Validation failed

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 500 application/json

    Internal Server Error - Something went wrong

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

POST /api/v1/private/{key}/burn
curl \
 --request POST 'https://ca.onetimesecret.com/api/v1/private/{key}/burn' \
 --user "username:password" \
 --header "Content-Type: application/x-www-form-urlencoded" \
 --data 'continue=string'
Response examples (200)
{
  "state": {
    "custid": "string",
    "metadata_key": "string",
    "secret_key": "string",
    "state": "new",
    "created": 42,
    "updated": 42,
    "received": 42,
    "ttl": 42,
    "metadata_ttl": 42,
    "secret_ttl": 42,
    "metadata_url": "string",
    "share_domain": "string",
    "recipient": [
      "string"
    ],
    "passphrase_required": true,
    "value": "string",
    "identifier": "string",
    "secret_identifier": "string",
    "has_passphrase": true,
    "recipients": [
      "string"
    ],
    "receipt_ttl": 42,
    "receipt_url": "string",
    "secret_value": "string"
  },
  "secret_shortkey": "string"
}
Response examples (400)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (401)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (422)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (500)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}